#!/usr/bin/env python

REGISTRY_IID = "OAFIID:Accessibility_Registry:1.0"
TYPELIB_NAME = "Accessibility"

# import ORBit and bonobo first (required)
import ORBit, bonobo
# initialize the ORB
orb = ORBit.CORBA.ORB_init()
# get a reference to the gnome Accessibility registry
registry = bonobo.activation.activate_from_id(REGISTRY_IID, 0, 0)
if registry is None:
  raise RuntimeError('Could not activate:', REGISTRY_IID)
# generate Python code for the Accessibility module from the IDL
ORBit.load_typelib(TYPELIB_NAME)

# import the generated Accessibility module
import Accessibility, Accessibility__POA
